### Method

# PangoCairo FontMap set_default

since: 1.22

#### Declaration [src]

    void
    pango_cairo_font_map_set_default (
      PangoCairoFontMap* fontmap
    )

#### Description [src]

Sets a default `PangoCairoFontMap` to use with Cairo.

This can be used to change the Cairo font backend that the default fontmap uses for example. The old default font map is unreffed and the new font map referenced.

Note that since Pango 1.32.6, the default fontmap is per-thread. This function only changes the default fontmap for the current thread. Default fontmaps of existing threads are not changed. Default fontmaps of any new threads will still be created using `pango_cairo_font_map_new()`.

A value of `NULL` for `fontmap` will cause the current default font map to be released and a new default font map to be created on demand, using `pango_cairo_font_map_new()`.

Available since: 1.22